Get the Supply SPOT QR Code
http
GET /api/marketplace/v3/fbs/supplies/{supplyId}/stickers/spotBase URL: https://marketplace-api.wildberries.ru · Module: orders-fbs · Section: FBS Supplies · Specification doc ↗
The method returns the generated SPOT QR code for the supply in PNG format, base64 encoded. You can get the QR code when the flag "status":"completed" is returned in the method for getting SPOT data.
Request limit per one seller account for FBS assembly orders, supplies, passes and auto-return settings methods:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
supplyId | path | string | yes | Supply ID |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | SupplySpotQRCode |
400 | Bad request | ApiErrorV3 |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | object |
404 | Not found | ApiErrorV3 |
429 | Too many requests | object |
Structure 200:
qrCodestring<base64>— Supply QR code in base64 encoding
Structure 400:
titlestring— Error titledetailstring— Error details
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 404:
titlestring— Error titledetailstring— Error details
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.orders_fbs import Configuration, ApiClient
from wb_api_client.orders_fbs.api import OrdersFbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbsApi(ApiClient(cfg))
result = api.get_v3_fbs_supplies_supply_id_stickers_spot(supply_id=...)
print(result)ts
import {
Configuration,
OrdersFbsApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbsApi(cfg);
const { data } = await api.getV3FbsSuppliesSupplyIdStickersSpot(supplyId);
console.log(data);go
import (
"context"
"fmt"
wbordersfbs "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbs"
)
cfg := wbordersfbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbs.NewAPIClient(cfg)
result, _, err := client.OrdersFbsAPI.GetV3FbsSuppliesSupplyIdStickersSpot(context.Background(), supplyId).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.orders_fbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbs.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbs.api.OrdersFbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbsApi api = new OrdersFbsApi(client);
System.out.println(api.getV3FbsSuppliesSupplyIdStickersSpot(supplyId));php
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Api\OrdersFbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbsApi(new Client(), $config);
print_r($api->getV3FbsSuppliesSupplyIdStickersSpot($supply_id));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbsApi(Настройки);
Сообщить(Клиент.GetV3FbsSuppliesSupplyIdStickersSpot(supplyId).Тело);csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbsApi(config);
Console.WriteLine(api.GetV3FbsSuppliesSupplyIdStickersSpot(supplyId));rust
use wb_api_client::orders_fbs::apis::{configuration::Configuration, orders_fbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_fbs_api::get_v3_fbs_supplies_supply_id_stickers_spot(&cfg, supply_id).await;
println!("{:#?}", result);
}